Innehåll
Index 🔎︎

# Err Function

Returnerar en felkod som identifierar det fel som uppstått under programkörningen.

## Syntax:

    Err

## Returvärde:

Integer

## Parametrar:

Funktionen Err används i felhanteringsrutiner för att hämta en felkod som t.ex. kan användas för att fortsätta körningen.

## Exempel:

    Sub ExampleError
    On Error Goto ErrorHandler REM Ställ in felhanterare
    Dim iVar as Integer
    Dim sVar As String
    REM Ett fel uppstår eftersom filen saknas
        iVar = Freefile
        Open "\file9879.txt" for Input as #iVar
        Line Input #iVar, sVar
        Close #iVar
    Exit Sub
    ErrorHandler:
        MsgBox "Fel " & err & ": " & Error$ + chr(13) + "På rad : " + Erl + chr(13) + Now , 16 ,"inträffade ett fel"
    End Sub

Närliggande ämnen

Error-Handling Functions